astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- asdf v »
- Developer API »
- load_yaml

# load_yaml

asdf.util.load_yaml(init, tagged=False)

  Load just the yaml portion of an ASDF file

  Parameters:
    init filename or file-like

      If file-like this must be opened in binary mode.

    tagged: bool, optional

      Return tree with instances of `asdf.tagged.Tagged` this can be helpful if the yaml tags are of interest. If False, the tree will only contain basic python types (see the pyyaml `BaseLoader` documentation).

  Returns:
    tree dict

      Dictionary representing the ASDF tree